> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported A2A protocol versions

> Returns the list of supported A2A protocol versions for a specific role (client or server).

    - **role**: Specify 'client' or 'server' to get versions for that role
    - Returns version information including feature support matrix
    - Client role is currently implemented
    - Server role is not yet implemented



## OpenAPI

````yaml get /v1/a2a/versions
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/a2a/versions:
    get:
      tags:
        - A2A Protocol
      summary: Get supported A2A protocol versions
      description: >-
        Returns the list of supported A2A protocol versions for a specific role
        (client or server).

            - **role**: Specify 'client' or 'server' to get versions for that role
            - Returns version information including feature support matrix
            - Client role is currently implemented
            - Server role is not yet implemented
      operationId: get_supported_versions_v1_a2a_versions_get
      parameters:
        - name: role
          in: query
          required: false
          schema:
            enum:
              - client
              - server
            type: string
            description: >-
              Role type: 'client' for A2A client versions, 'server' for A2A
              server versions
            default: client
            title: Role
          description: >-
            Role type: 'client' for A2A client versions, 'server' for A2A server
            versions
      responses:
        '200':
          description: Successfully retrieved A2A supported versions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/A2ASupportedVersionsResponse'
        '400':
          description: Invalid role parameter
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '501':
          description: A2A server role not yet implemented
components:
  schemas:
    A2ASupportedVersionsResponse:
      properties:
        protocol:
          type: string
          title: Protocol
          description: Protocol name
          default: A2A
        role:
          type: string
          enum:
            - client
            - server
          title: Role
          description: Role type (client or server)
        versions:
          items:
            $ref: '#/components/schemas/A2AVersionInfo'
          type: array
          title: Versions
          description: List of supported versions with their features
        current_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Version
          description: Current/recommended version for this role
        is_implemented:
          type: boolean
          title: Is Implemented
          description: Whether this role is currently implemented
      type: object
      required:
        - role
        - versions
        - current_version
        - is_implemented
      title: A2ASupportedVersionsResponse
      description: Response model for A2A supported versions endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    A2AVersionInfo:
      properties:
        version:
          type: string
          title: Version
          description: Version string (e.g., '0.3.0')
        status:
          type: string
          enum:
            - current
            - supported
            - deprecated
            - unsupported
          title: Status
          description: Version status indicator
        features:
          $ref: '#/components/schemas/VersionFeatures'
          description: Feature support matrix for this version
      type: object
      required:
        - version
        - status
        - features
      title: A2AVersionInfo
      description: Information about a specific A2A protocol version.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VersionFeatures:
      properties:
        push_notifications:
          type: boolean
          title: Push Notifications
          description: Support for push notifications from agent to server
        streaming:
          type: boolean
          title: Streaming
          description: Support for streaming responses
        send_history:
          type: boolean
          title: Send History
          description: Support for sending conversation history
      type: object
      required:
        - push_notifications
        - streaming
        - send_history
      title: VersionFeatures
      description: Feature flags supported by a specific A2A version.

````